Index: src/UIElements/Menu/unittests/Makefile.am
===================================================================
--- src/UIElements/Menu/unittests/Makefile.am	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
+++ src/UIElements/Menu/unittests/Makefile.am	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
@@ -0,0 +1,29 @@
+# PLEASE adhere to the alphabetical ordering in this Makefile!
+# Also indentation by a single tab
+
+INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/src/UIElements
+
+AM_LDFLAGS = $(CPPUNIT_LIBS) -ldl
+AM_CXXFLAGS = $(CPPUNIT_CFLAGS)
+AM_CPPFLAGS = ${BOOST_CPPFLAGS}
+
+TESTS = \
+  MenuDescriptionUnitTest
+
+
+check_PROGRAMS = $(TESTS) 
+noinst_PROGRAMS = $(TESTS)
+
+BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
+MENULIBS = \
+	../../../Helpers/libMolecuilderHelpers-@MOLECUILDER_API_VERSION@.la \
+	$(BOOST_LIB)
+
+
+MenuDescriptionUnitTest_SOURCES =  $(top_srcdir)/src/unittests/UnitTestMain.cpp \
+	MenuDescriptionUnitTest.cpp \
+	MenuDescriptionUnitTest.hpp \
+	../MenuDescription.cpp
+MenuDescriptionUnitTest_LDADD = $(MENULIBS)
+
+#AUTOMAKE_OPTIONS = parallel-tests
Index: src/UIElements/Menu/unittests/MenuDescriptionUnitTest.cpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescriptionUnitTest.cpp	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
+++ src/UIElements/Menu/unittests/MenuDescriptionUnitTest.cpp	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
@@ -0,0 +1,71 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * MenuDescriptionUnitTest.cpp
+ *
+ *  Created on: Nov 25, 2009
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+using namespace std;
+
+#include <cppunit/CompilerOutputter.h>
+#include <cppunit/extensions/TestFactoryRegistry.h>
+#include <cppunit/ui/text/TestRunner.h>
+
+#include "MenuDescriptionUnitTest.hpp"
+
+#ifdef HAVE_TESTRUNNER
+#include "UnitTestMain.hpp"
+#endif /*HAVE_TESTRUNNER*/
+
+/********************************************** Test classes **************************************/
+
+// Registers the fixture into the 'registry'
+CPPUNIT_TEST_SUITE_REGISTRATION( MenuDescriptionTest );
+
+
+void MenuDescriptionTest::setUp()
+{
+};
+
+
+void MenuDescriptionTest::tearDown()
+{
+};
+
+/** UnitTest for consistency.
+ * we check that we have the same keys in each of MenuSet, MenuDescription and MenuNameMap.
+ */
+void MenuDescriptionTest::ConsistencyCheck()
+{
+  // from MenuSet
+  for(MenuDescription::const_iterator iter = md.MenuPositionMap->begin(); iter != md.MenuPositionMap->end(); ++iter) {
+    const std::string &MenuName = iter->first;
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuDewscriptionsMap", md.MenuDescriptionsMap->find(MenuName) != md.MenuDescriptionsMap->end());
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuNameMap", md.MenuNameMap->find(MenuName) != md.MenuNameMap->end());
+  }
+
+  // from MenuDescriptionsMap
+  for(std::map<std::string const, std::string const>::const_iterator iter = md.MenuDescriptionsMap->begin(); iter != md.MenuDescriptionsMap->end(); ++iter) {
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuSet", md.MenuPositionMap->find(iter->first) != md.MenuPositionMap->end());
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuNameMap", md.MenuNameMap->find(iter->first) != md.MenuNameMap->end());
+  }
+
+  // from MenuNameMap
+  for(std::map<std::string const, std::string const>::const_iterator iter = md.MenuNameMap->begin(); iter != md.MenuNameMap->end(); ++iter) {
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuDescriptionsMap", md.MenuDescriptionsMap->find(iter->first) != md.MenuDescriptionsMap->end());
+    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuSet", md.MenuPositionMap->find(iter->first) != md.MenuPositionMap->end());
+  }
+
+};
Index: src/UIElements/Menu/unittests/MenuDescriptionUnitTest.hpp
===================================================================
--- src/UIElements/Menu/unittests/MenuDescriptionUnitTest.hpp	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
+++ src/UIElements/Menu/unittests/MenuDescriptionUnitTest.hpp	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
@@ -0,0 +1,32 @@
+/*
+ * MenuDescriptionUnitTest.cpp.hpp
+ *
+ *  Created on: Nov 25, 2009
+ *      Author: heber
+ */
+
+#ifndef MENUDESCRIPTORUNITTEST_HPP_
+#define MENUDESCRIPTORUNITTEST_HPP_
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#include "UIElements/Menu/MenuDescription.hpp"
+
+/********************************************** Test classes **************************************/
+
+class MenuDescriptionTest : public CppUnit::TestFixture
+{
+    CPPUNIT_TEST_SUITE( MenuDescriptionTest) ;
+    CPPUNIT_TEST ( ConsistencyCheck );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+      void setUp();
+      void tearDown();
+      void ConsistencyCheck();
+
+private:
+      MenuDescription md;
+};
+
+#endif /* MENUDESCRIPTORUNITTEST_HPP_ */
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision efd61bd3e7212dbd914dab44397fc2a2e40bff21)
+++ src/unittests/Makefile.am	(revision 0e20316989ca2bc429f9b3d052d7b3e9ba3d26cc)
@@ -7,5 +7,6 @@
 	../Helpers/unittests \
 	../LinearAlgebra/unittests \
-	../Patterns/unittests
+	../Patterns/unittests \
+	../UIElements/Menu/unittests
 
 INCLUDES = -I$(top_srcdir)/src
@@ -27,5 +28,4 @@
   LinkedCellUnitTest \
   ListOfBondsUnitTest \
-  MenuDescriptionUnitTest \
   MoleculeDescriptorTest \
   ObserverTest \
@@ -87,5 +87,5 @@
   ../LinearAlgebra/unittests/MatrixContentUnitTest.cpp \
   ../LinearAlgebra/unittests/MatrixUnitTest.cpp \
-  MenuDescriptionUnitTest.cpp \
+  ../UIElements/Menu/unittests/MenuDescriptionUnitTest.cpp \
   MoleculeDescriptorTest.cpp \
   ObserverTest.cpp \
@@ -127,5 +127,5 @@
   ../LinearAlgebra/unittests/MatrixContentUnitTest.hpp \
   ../LinearAlgebra/unittests/MatrixUnitTest.hpp \
-  MenuDescriptionUnitTest.hpp \
+  ../UIElements/Menu/unittests/MenuDescriptionUnitTest.hpp \
   MoleculeDescriptorTest.hpp \
   ObserverTest.hpp \
@@ -178,7 +178,4 @@
 ListOfBondsUnitTest_LDADD = ${ALLLIBS}
 
-MenuDescriptionUnitTest_SOURCES = UnitTestMain.cpp MenuDescriptionUnitTest.cpp   MenuDescriptionUnitTest.hpp
-MenuDescriptionUnitTest_LDADD = ${ALLLIBS}
-
 MoleculeDescriptorTest_SOURCES = UnitTestMain.cpp MoleculeDescriptorTest.cpp MoleculeDescriptorTest.hpp
 MoleculeDescriptorTest_LDADD = ${ALLLIBS}
Index: src/unittests/MenuDescriptionUnitTest.cpp
===================================================================
--- src/unittests/MenuDescriptionUnitTest.cpp	(revision efd61bd3e7212dbd914dab44397fc2a2e40bff21)
+++ 	(revision )
@@ -1,71 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * MenuDescriptionUnitTest.cpp
- *
- *  Created on: Nov 25, 2009
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-using namespace std;
-
-#include <cppunit/CompilerOutputter.h>
-#include <cppunit/extensions/TestFactoryRegistry.h>
-#include <cppunit/ui/text/TestRunner.h>
-
-#include "MenuDescriptionUnitTest.hpp"
-
-#ifdef HAVE_TESTRUNNER
-#include "UnitTestMain.hpp"
-#endif /*HAVE_TESTRUNNER*/
-
-/********************************************** Test classes **************************************/
-
-// Registers the fixture into the 'registry'
-CPPUNIT_TEST_SUITE_REGISTRATION( MenuDescriptionTest );
-
-
-void MenuDescriptionTest::setUp()
-{
-};
-
-
-void MenuDescriptionTest::tearDown()
-{
-};
-
-/** UnitTest for consistency.
- * we check that we have the same keys in each of MenuSet, MenuDescription and MenuNameMap.
- */
-void MenuDescriptionTest::ConsistencyCheck()
-{
-  // from MenuSet
-  for(MenuDescription::const_iterator iter = md.MenuPositionMap->begin(); iter != md.MenuPositionMap->end(); ++iter) {
-    const std::string &MenuName = iter->first;
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuDewscriptionsMap", md.MenuDescriptionsMap->find(MenuName) != md.MenuDescriptionsMap->end());
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuNameMap", md.MenuNameMap->find(MenuName) != md.MenuNameMap->end());
-  }
-
-  // from MenuDescriptionsMap
-  for(std::map<std::string const, std::string const>::const_iterator iter = md.MenuDescriptionsMap->begin(); iter != md.MenuDescriptionsMap->end(); ++iter) {
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuSet", md.MenuPositionMap->find(iter->first) != md.MenuPositionMap->end());
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuNameMap", md.MenuNameMap->find(iter->first) != md.MenuNameMap->end());
-  }
-
-  // from MenuNameMap
-  for(std::map<std::string const, std::string const>::const_iterator iter = md.MenuNameMap->begin(); iter != md.MenuNameMap->end(); ++iter) {
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuDescriptionsMap", md.MenuDescriptionsMap->find(iter->first) != md.MenuDescriptionsMap->end());
-    CPPUNIT_ASSERT_MESSAGE( "menu token not contained in MenuDescription::MenuSet", md.MenuPositionMap->find(iter->first) != md.MenuPositionMap->end());
-  }
-
-};
Index: src/unittests/MenuDescriptionUnitTest.hpp
===================================================================
--- src/unittests/MenuDescriptionUnitTest.hpp	(revision efd61bd3e7212dbd914dab44397fc2a2e40bff21)
+++ 	(revision )
@@ -1,32 +1,0 @@
-/*
- * MenuDescriptionUnitTest.cpp.hpp
- *
- *  Created on: Nov 25, 2009
- *      Author: heber
- */
-
-#ifndef MENUDESCRIPTORUNITTEST_HPP_
-#define MENUDESCRIPTORUNITTEST_HPP_
-
-#include <cppunit/extensions/HelperMacros.h>
-
-#include "UIElements/Menu/MenuDescription.hpp"
-
-/********************************************** Test classes **************************************/
-
-class MenuDescriptionTest : public CppUnit::TestFixture
-{
-    CPPUNIT_TEST_SUITE( MenuDescriptionTest) ;
-    CPPUNIT_TEST ( ConsistencyCheck );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-      void setUp();
-      void tearDown();
-      void ConsistencyCheck();
-
-private:
-      MenuDescription md;
-};
-
-#endif /* MENUDESCRIPTORUNITTEST_HPP_ */
